"use strict";

exports.__esModule = true;
exports.default = void 0;

var _react = require("react");

var _ramda = require("ramda");

var lastId = 0;

var getLastId = function getLastId() {
  return String(lastId++);
};

var useGeneratedId = function useGeneratedId() {
  var uniqueID = (0, _react.useRef)(null);

  if ((0, _ramda.isNil)(uniqueID.current)) {
    uniqueID.current = getLastId();
  }

  return uniqueID.current;
};

var _default = useGeneratedId;
exports.default = _default;